package com.ztmap.project.zhny.lotuscbcjl.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 抄采集率对象 t_lotus_cbcjl
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public class TLotusCbcjl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 实采数据 */
    @Excel(name = "实采数据")
    private Long scsj;

    /** 应采数据 */
    @Excel(name = "应采数据")
    private Long ycsj;

    /** 失败数据 */
    @Excel(name = "失败数据")
    private Long sbsj;

    /** 百分比 */
    @Excel(name = "百分比")
    private Long bfb;

    /** 时间 */
    @Excel(name = "时间")
    private String dateTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setScsj(Long scsj)
    {
        this.scsj = scsj;
    }

    public Long getScsj()
    {
        return scsj;
    }
    public void setYcsj(Long ycsj)
    {
        this.ycsj = ycsj;
    }

    public Long getYcsj()
    {
        return ycsj;
    }
    public void setSbsj(Long sbsj)
    {
        this.sbsj = sbsj;
    }

    public Long getSbsj()
    {
        return sbsj;
    }
    public void setBfb(Long bfb)
    {
        this.bfb = bfb;
    }

    public Long getBfb()
    {
        return bfb;
    }
    public void setDateTime(String dateTime)
    {
        this.dateTime = dateTime;
    }

    public String getDateTime()
    {
        return dateTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("scsj", getScsj())
            .append("ycsj", getYcsj())
            .append("sbsj", getSbsj())
            .append("bfb", getBfb())
            .append("dateTime", getDateTime())
            .toString();
    }
}
